This is a printable view of "http://wasi.alexanderstreet.com/help/view/system_requirements".

We have launched a new version of this site. Visit our New Site to get the latest content and functionality updates.

PermalinkPrintable page

 

System Requirements

This product is optimized to operate with Microsoft Internet Explorer 7.0 or higher, and Firefox 3.0 or higher.

Audio and video resources are accessible with Adobe Flash Player 9 or higher.